Skip to main content
GET
/
api
/
v1
/
exposure
/
hosts
Hosts
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/hosts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 456,
      "host": "app.example.com",
      "ports": [
        443
      ],
      "ips": [
        "203.0.113.10"
      ],
      "title": "Example app",
      "status_code": 200
    }
  ],
  "paging": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20,
    "hasMore": false,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Query Parameters

domainId
integer
required
page
integer
subdomain
string
host
string
watchlistId
string
scanRunId
string
statusCode
string

Response

200 - application/json

Hosts response

The response is of type object.